$ SET NOVERIFY
$ ON ERROR THEN EXIT
$ !
$ !  FS.COM  --  Command file to submit a batch FORTRAN compile
$ !          --  Mod to accept version numbers 6/26/89
$ !     by Art Ragosta       October 24, 1984
$ !
$ ! UserID for SEND command
$ !
$ USER = F$GETJPI("","USERNAME")
$ !
$ ! Source file name
$ !
$ IF P1 .NES. "" THEN GOTO POK
$NOP:
$ INQUIRE P1 "Filename"
$ IF P1 .EQS. "" THEN GOTO NOP
$POK:
$ !
$ ! Subdirectory name
$ !
$ DEF = F$ENVIRONMENT("DEFAULT")
$ DEV = F$PARSE ( P1,DEF+".FOR",,"DEVICE")
$ DIR = F$PARSE ( P1,DEF+".FOR",,"DIRECTORY")
$ NAME = F$PARSE (P1,DEF+".FOR",,"NAME")
$ TYPE = F$PARSE (P1,DEF+".FOR",,"TYPE")
$ VERS = F$PARSE (P1,DEF+".FOR",,"VERSION")
$ !
$ !  Check to make sure filename is not ""
$ !
$ IF NAME .EQS. "" 
$   THEN
$   WRITE SYS$OUTPUT "%FS-E-NOFILE, no file specified."
$   EXIT
$ ENDIF
$ !
$ !  Log file name
$ !
$ LFILE = DEV + DIR + NAME + ".LOG" + VERS
$ QUAL = "/NOLIST"
$ !
$ ! Look for queue name
$ !
$ QNAME = "BAT$MEDIUM"
$ I = 2
$LOOP:
$ PP = P'I'
$ AA = "''PP'"
$ IF AA .NES. "SHORT" THEN GOTO LONG
$ P'I' = ""
$ QNAME = "SYS$BATCH"
$ GOTO SUB
$LONG:
$ IF AA .NES. "LONG" THEN GOTO XLONG
$ P'I' = ""
$ QNAME = "BAT$LONG"
$ GOTO SUB
$XLONG: 
$ IF AA .NES. "XLONG" THEN GOTO NONE
$ P'I' = ""
$ QNAME = "BAT$XLONG"
$ GOTO SUB
$NONE:
$ K = F$LOCATE ("/LIS",''AA')
$ IF K .NE. F$LENGTH(''AA') THEN QUAL = "''AA'"
$ I = I + 1
$ IF I .LE. 6 THEN GOTO LOOP
$ !
$SUB:
$ SUBMIT/PARAM=("''NAME'''VERS'",'USER','DEF',"''QUAL'","''P2'","''P3'","''P4'") -
   /QUE='QNAME' /LOG='LFILE' MERLIN:FORTSUB.COM
