      PROGRAM SPLIT
C
C THIS PROGRAM SPLITS A FORTRAN SOURCE FILE INTO A BUNCH OF LITTLE FILES
C  WITH ONE SUBPROGRAM EACH (OF TYP '.FLB') FOR GENERATION OF A TEXT
C  LIBRARY.
C
C THE TEXT LIBRARY MAY BE BUILT WITH "LIBRARY/CREATE/TEXT *.FLB"
C
      CHARACTER *80 LINE, SLINE
      LOGICAL ERR
C
C --- OPEN INPUT FILE
C
      CALL GOPEN(5,6,7,.FALSE.,'File to split ? ','FOR',ERR)
      IF (ERR) THEN
         WRITE(6,*)' Unable to open file.'
         STOP
      ENDIF
C
C --- NOTE ---
C
C THERE IS NO FILE 8 OPEN AT STARTUP.  AS A RESULT, IF THE FIRST CARD OF
C  THE FILE IS NOT A SUBPROGRAM DEFINITION CARD, THERE WILL BE A FOR008
C  FILE.
C
10    READ(7,900,END=1000) LINE
      SLINE = LINE
      CALL BLANKS(LINE)
      CALL CAPS(LINE)
C                                                             
C THE FOLLOWING METHOD FOR DETERMINING THE START OF A NEW SUBPROGRAM IS
C  NOT INFALLIBLE, BUT THEN WHO IS?
C
      IF (LINE(1:10) .EQ. 'SUBROUTINE') THEN
         CALL NEWFIL (LINE,11)
      ELSE IF (LINE(1:7) .EQ. 'PROGRAM') THEN
         CALL NEWFIL (LINE,8)
      ELSE IF (LINE(1:8) .EQ. 'FUNCTION') THEN
         CALL NEWFIL (LINE,9)
      ELSE IF (LINE(1:9) .EQ. 'BLOCKDATA') THEN
         CALL NEWFIL (LINE,10)
      ELSE IF (INDEX(LINE,'FUNCTION') .NE. 0) THEN
         IF ((LINE(1:7) .EQ. 'INTEGER') .OR.
     $       (LINE(1:4) .EQ. 'REAL') .OR.
     $       (LINE(1:9) .EQ. 'CHARACTER') .OR. 
     $       (LINE(1:7) .EQ. 'LOGICAL') .OR.
     $       (LINE(1:7) .EQ. 'COMPLEX')) 
     $   CALL NEWFIL (LINE,INDEX(LINE,'FUNCTION')+8)
      ENDIF
      WRITE(8,900) SLINE(1:LENGTH(SLINE))
      GO TO 10
C
1000  STOP
900   FORMAT(A)
      END
C
      SUBROUTINE NEWFIL(LINE,I)
      CHARACTER *(*) LINE
      CHARACTER *8 FNAME 
      LOGICAL FIRST
      DATA FIRST/.TRUE./
C             
      J = I         
10    IF (((LINE(J:J) .GE. 'A') .AND. (LINE(J:J) .LE. 'Z')) .OR.
     $    ((LINE(J:J) .GE. '0') .AND. (LINE(J:J) .LE. '9'))) THEN
         J = J + 1
         IF ((J-I) .LT. 9) GO TO 10
      ENDIF
C
C THIS CAN HAPPEN WITH UNLABELED BLOCK DATAS...
C                        
      J = J - 1
      IF (J .LE. I) THEN
         FNAME = 'BLKDAT'
      ELSE
         FNAME = LINE(I:J)
      ENDIF
C
C IF THIS IS NOT THE FIRST SUBPROGRAM, CLOSE THE PREVIOUS FILE.
C
      IF (.NOT. FIRST) THEN
         CLOSE(8)
      ELSE
         FIRST = .FALSE.
      ENDIF
      OPEN(UNIT=8,STATUS='NEW',CARRIAGECONTROL='LIST',
     $  NAME=FNAME(1:LENGTH(FNAME))//'.FLB')
      RETURN
      END   
C
